PDA

View Full Version : Getting Ext.Ajax is not defined



techie_28
31 Oct 2011, 12:19 PM
I have been handed over a project which has an availability calender in it.It was working fine 2 days back but suddenly it stopped i dont know what went wrong.But it seems it has to do something with ext.js as it says in the console that
Ext.Ajax is not defined

files of the ext used here are
ext-base.js (http://www.sencha.com/forum/view-source:http://pinoyrents.com/RM/system/js/libs/ext/adapter/ext/ext-base.js) and ext-all.gz.js (http://www.sencha.com/forum/view-source:http://pinoyrents.com/RM/system/js/libs/ext/ext-all.gz.js)

i am new to this framework so i dont know how to use it or if i am using it correctly
or not.When i try to view the
ext-all.gz.js (http://www.sencha.com/forum/view-source:http://pinoyrents.com/RM/system/js/libs/ext/ext-all.gz.js) file it doesnt shows in browser console maybe because of the compression
and when i open it at my end it shows me arbitrary binary numbers.
Link to the problem is here http://pinoyrents.com/index.php?option=com_resmania&unit_id=8&isGroup=0&Itemid=466&act=Unit&task=details
please help i need to fix it on urgent basis and this is the best place i could search for

Regards
Himanshu Sharma

mitchellsimoens
31 Oct 2011, 12:32 PM
I went to that site and it says the version of Ext JS you have is 2.2. Is this correct?

Erikvip
31 Oct 2011, 4:51 PM
Don't link to the .gz file...change ext-all.gz.js to just ext-all.js

You should be able to open ext-all.js in a tab & see the contents, pre-gzipping the file is usually not the best idea either, as some browsers won't support compression - the webserver will compress the file for transfer if the client accepts gzip encoding - just link to the plain js file.

techie_28
31 Oct 2011, 8:15 PM
First of all thank you for your attention,

@Mitchell - I changed that file ext-base.js with one that i found on the net.Thats why it is showing you that version.

@Erik-I tried your way but to no use.Infact i copied ext-all.js to .gz file but to no avail.I think problem lies there somewhere.

It seems to be the problem of .gz.js can any one tell me where i can get new copy?The copy on my server showed arbitrary hexadecimal numbers only

Regards
Himanshu Sharma

techie_28
31 Oct 2011, 8:38 PM
First of all thank you for your attention,

I changed that file ext-base.js with one that i found on the net.Thats why it is showing you that version

Regards
Himanshu Sharma

techie_28
31 Oct 2011, 8:40 PM
First of all thank you for your attention,
I tried your way but to no use.Infact i copied ext-all.js to .gz file but to no avail.I think problem lies there somewhere.
It seems to be the problem of .gz.js can any one tell me where i can get new copy?The copy on my server showed arbitrary hexadecimal numbers only
Regards
Himanshu Sharma

techie_28
31 Oct 2011, 8:41 PM
It seems to be the problem of .gz.js can any one tell me where i can get new copy?The copy on my server showed arbitrary hexadecimal numbers only

Erikvip
1 Nov 2011, 1:32 PM
It's in the Ext3 package, just download the framework again -

http://www.sencha.com/products/extjs3/download/